"""."""

import cv2
import numpy as np
import pytest

from association_studio.exp_metrics.iou_like_dia_mah import IouLikeDiaMah


@pytest.fixture
def driver() -> IouLikeDiaMah:
    return IouLikeDiaMah()


@pytest.fixture
def kf() -> cv2.KalmanFilter:
    kf = cv2.KalmanFilter(10, 10, 0, cv2.CV_64F)
    kf.statePre = np.array((0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 4.0, 2.0, 1.0)).reshape(10, 1)
    return kf
